ISINF(3)

NAME
isinf, isnan - test for indeterminate floating-point values

SYNOPSIS
int isinf(value)
double value;

int isnan(value)
double value;

DESCRIPTION
Isinf returns a value of 1 if its value is an IEEE format infinity (two words 0x7ff00000 0x00000000) or an IEEE negative infinity, and returns a zero otherwise.

Isnan returns a value of 1 if its value is an IEEE format `not-a-number' (two words 0x7ffnnnnn0xnnnnnnnn) where n is not zero) or its negative, and returns a zero otherwise.

Some library routines such as ecvt(3) do not handle indeterminate floating-point values gracefully. Prospective arguments to such routines should be checked with isinf or isnan before calling these routines.

The Floating-Point Programmer's Guide for the Sun Workstation gives details for the format of IEEE standard floating-point.